fTools Check geometry doesn't find NULL geometry features

2012-06-12 04:07 PM - Pieter Roggemans

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 15280

Description

The check geometry tool doesn't report features without any points...

The Buffer_problem_result shape file in attachment can help to reproduce...

PS: tested in versions 1.8 an 1.7.4

History

#1 - 2012-09-04 12:06 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2013-07-12 10:49 AM - Paolo Cavallini

- Category set to 44

#3 - 2013-07-13 04:22 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

I see your point, but the "Check geometry validity" tool does what it advertise, it checks if the geometries are right or wrong. In this case you have a vector

with a few records in the table of attributes with no geometries associated, and this is admitted (or am I wrong?). Please reopen if necessary.

#4 - 2013-07-14 12:27 PM - Daniel Vaz

Sorry.. wrong ticket

#5 - 2013-07-14 12:30 PM - Giovanni Manghi

Daniel Vaz wrote:

Please, can you attach some dataset to reproduce the bug?

the sample is attached to this ticket.

One layer is the input for a negative buffer operation. As a few features are smaller than then buffer distance, then they disappear, but the records in the

table of attributes are not deleted. the resulting vector is then inconsistent, as it has records in the table of attributes but no geometry associated.
This issue has been described in another ticket.

This ticket is invalid anyway because the tool do checks the validity of existing features, does not check the validity of non existing ones :)

#6 - 2013-07-14 12:37 PM - Daniel Vaz

Sorry I posted this message in a wrong ticket..

#7 - 2013-07-14 05:10 PM - Pieter Roggemans

I looked it up, and indeed a null polygon is valid according to the specs of the shapefile format.

So indeed not a bug, but normal behaviour.

#8 - 2013-07-15 01:16 AM - Giovanni Manghi

Pieter Roggemans wrote:

I looked it up, and indeed a null polygon is valid according to the specs of the shapefile format.

ok good to know, anyway I think that the buffer tool should delete the records of non existing polygons when it comes to negative buffers. Daniel posted a

patch for this.

#9 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

Buffer_problem.zip 72.3 KB 2012-06-12 Pieter Roggemans
